Environments
Update model environment
Asynchronously updates an environment’s settings. Poll the GET endpoint for the applied state.
PATCH
cURL
Authorizations
Pass your Baseten API key. Clients automatically send Authorization: Bearer <key>. Direct callers can also use Authorization: Api-Key <key>; both schemes are accepted.
Body
application/json
A request to update an environment.
Autoscaling settings for the environment
Example:
{
"autoscaling_window": 800,
"concurrency_target": 3,
"max_replica": 2,
"max_scale_down_rate": null,
"min_replica": 1,
"scale_down_delay": 60,
"target_in_flight_tokens": null,
"target_utilization_percentage": null
}Promotion settings for the environment
Example:
{
"promotion_cleanup_strategy": null,
"ramp_up_duration_seconds": 600,
"ramp_up_while_promoting": true,
"redeploy_on_promotion": true,
"rolling_deploy": null,
"rolling_deploy_config": null
}Response
200 - application/json
cURL